[Orca-checkins] rev 257 - in trunk/orca: data_gatherers/orcallator lib lib/SE/3.3.1

Blair Zajac blair at orcaware.com
Mon Oct 6 18:59:17 PDT 2003


Author: blair
Date: Mon Oct  6 18:58:58 2003
New Revision: 257

Added:
   trunk/orca/lib/SE/3.3.1/
      - copied from rev 256, trunk/orca/lib/SE/3.3/
Modified:
   trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in
   trunk/orca/lib/Makefile.in
Log:
Add support for SE 3.3.1.

* lib/Makefile.in
  (install): Instead of listing the same commands with minor path
    modifications to install lib/SE/3.2.1/* and lib/SE/3.3/*, use a
    for loop.

* lib/SE/3.3.1:
  Copied from lib/SE/3.3.  The live_rules.se from SE 3.3.1 contains
  new code to workaround the floating point rounding issue where
  pvm.idle_time is too large, causing the sum

  pvm.user_time + pvm.system_time + pvm.wait_time + pvm.idle_time

  to be larger than 100, which results in Orca either ignoring or not
  plotting the data due to data_max and plot_max being set to 100 in
  data_gatherers/orcallator/orcallator.cfg.in.  However, this new code
  has a bug where instead of subtracting a positive value, it
  subtracts a negative value, making pvm.idle_time larger and more
  likely to exceed 100.

  So for now, use the Orca's 3.3 live_rules.se for 3.3.1

* data_gatherers/orcallator/start_orcallator.sh.in:
  Move the code to check for a versions of SE (which uses $SE) after
  the $SE variable is checked to see if it is set and points to an
  executable program.  Now check if the version is either 3.2.1 or
  matches 3.[3-9]*.


Modified: trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in
==============================================================================
--- trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in	(original)
+++ trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in	Mon Oct  6 18:58:58 2003
@@ -13,12 +13,6 @@
 UNAME=@UNAME@
 RAW_ORCALLATOR_DIR=@VAR_DIR@/orcallator
 SE=@SE@
-SE_VERSION=`$SE -version | nawk '{print $4}'`
-if [ "$SE_VERSION" != "3.2.1" -a "$SE_VERSION" != "3.3" ]; then
-   echo "SE version MUST be 3.3 or 3.2.1 .. please upgrade SE."
-   echo "See http://www.setoolkit.com for more information."
-   exit 1
-fi
 
 # WEB_LOG contains the location of the web server log file that
 # orcallator.se should read.
@@ -65,6 +59,16 @@
   exit 1
 fi
 
+SE_VERSION=`$SE -version | $AWK '{print $4}'`
+case "$SE_VERSION" in
+  3.2.1|3.[3-9]*)
+     ;;
+  *) echo "SE version MUST be 3.2.1 or greater.  Please upgrade SE."
+     echo "See http://www.setoolkit.com for more information."
+     exit 1
+     ;;
+esac
+
 # Get the hostname without the fully qualified part; that is, trim off
 # anything past the first `.'.
 uname=`$UNAME -n | $CUT -d. -f1`

Modified: trunk/orca/lib/Makefile.in
==============================================================================
--- trunk/orca/lib/Makefile.in	(original)
+++ trunk/orca/lib/Makefile.in	Mon Oct  6 18:58:58 2003
@@ -30,6 +30,7 @@
 	$(MKDIR) $(libdir)/Orca
 	$(MKDIR) $(libdir)/SE/3.2.1
 	$(MKDIR) $(libdir)/SE/3.3
+	$(MKDIR) $(libdir)/SE/3.3.1
 	@for f in Orca/*.pm; do \
 	  echo $(INSTALL) -m 0644 $$f $(libdir)/Orca; \
 	  $(INSTALL) -m 0644 $$f $(libdir)/Orca; \
@@ -41,13 +42,13 @@
 	    $(INSTALL) -m 0644 $$f $(libdir)/Orca/Config; \
 	  done; \
 	fi
-	@for f in SE/3.2.1/*; do \
-	  echo $(INSTALL) -m 0644 $$f $(libdir)/SE/3.2.1; \
-	  $(INSTALL) -m 0644 $$f $(libdir)/SE/3.2.1; \
-	done
-	@for f in SE/3.3/*; do \
-	  echo $(INSTALL) -m 0644 $$f $(libdir)/SE/3.3; \
-	  $(INSTALL) -m 0644 $$f $(libdir)/SE/3.3; \
+	@for d in SE/*; do \
+	  test ! -d $$d && continue; \
+	  for f in $$d/*; do \
+	    test ! -f $$f && continue; \
+	    echo $(INSTALL) -m 0644 $$f $(libdir)/$$d; \
+	    $(INSTALL) -m 0644 $$f $(libdir)/$$d; \
+	  done \
 	done
 
 clean:



More information about the Orca-checkins mailing list